/*
 * this file handle the About window
 * with a small animation with the lamip logo :)
 *
 *
*/
#include <gtk/gtk.h>
#include <plug_control.h>
#include "lamip.h"
#include "about_win.h"

#ifndef INSTALL_DIR
#define  INSTALL_DIR "/usr/local"
#endif

static GtkWidget*	about_win=NULL;
static gboolean		about_win_show = FALSE;

gboolean	about_win_create(void)
{
  GdkPixbuf*	logo = NULL;
  GError*	error = NULL;
  gchar*	comments = NULL;
  gchar*	about = "GTK2 Control Plugin for LAMIP";
  const gchar*	website = "http://fondriest.frederic.free.fr/realisations/lamip";
  const gchar*	authors[] = {
			"Frederic Fondriest (ciberfred)",
			"Michael Gan (xmixahlx)",
			"David Le Brun (QuiRK)",
			NULL
  };

  if(about_win)
    return(FALSE);

  logo = gdk_pixbuf_new_from_file(LOGO_INSTALL_DIR, &error);
  comments = g_strconcat("About core:\n", lamip_getAboutText(), NULL);

  about_win = gtk_about_dialog_new ();
  gtk_about_dialog_set_logo(GTK_ABOUT_DIALOG(about_win), logo);
  gtk_about_dialog_set_name (GTK_ABOUT_DIALOG(about_win), about);
  gtk_about_dialog_set_comments(GTK_ABOUT_DIALOG(about_win), comments);
  gtk_about_dialog_set_website(GTK_ABOUT_DIALOG(about_win), website);
  gtk_about_dialog_set_authors(GTK_ABOUT_DIALOG(about_win), authors);

  gtk_widget_hide(about_win);
  g_object_unref(logo);
  return(TRUE);
}

/*
 * cleanup
*/
void	about_win_clean(void)
{
  gtk_widget_destroy(about_win);
  about_win=NULL;
  about_win_show = FALSE;
}


/*
 * switch on/off view the about window (call from mainwindow)
*/
int		cb_about_win_show(GtkWidget* w, gint val)
{
  if(about_win_show==FALSE){
    about_win_show=TRUE;
    gtk_widget_show_all(about_win);
  }else{
    //gtk_widget_hide(about_win);
    //about_win_show=FALSE;
    about_win_create();
    gtk_widget_show_all(about_win);
  }
  return(TRUE);
}
